Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const require_hooks_useNumberInput_utils_escapeRegExp = require("./escapeRegExp.cjs");
//#region src/hooks/useNumberInput/utils/getSuffix.ts
const getSuffix = (value, { groupSeparator = ",", decimalSeparator = "." }) => {
	const suffixReg = new RegExp(`\\d([^${require_hooks_useNumberInput_utils_escapeRegExp.escapeRegExp(groupSeparator)}${require_hooks_useNumberInput_utils_escapeRegExp.escapeRegExp(decimalSeparator)}0-9]+)`);
	const suffixMatch = value.match(suffixReg);
	return suffixMatch ? suffixMatch[1] : void 0;
};
//#endregion
exports.getSuffix = getSuffix;
